Name:		qubes-ctap
Version:	2.0.2
Release:	1%{?dist}
Summary:	Qubes OS CTAP proxy

Group:		Qubes
License:	GPL2+
URL:		https://github.com/QubesOS/qubes-app-ctap
Source0:    %{name}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-setuptools
%{?systemd_requires}
BuildRequires:  make
BuildRequires:  systemd

Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-fido2

Obsoletes: qubes-u2f < 2.0.0
Provides: qubes-u2f = %{version}

%description
Qubes OS CTAP proxy

%prep
%setup -q

%build
make PYTHON=%{__python3}
make -C Documentation man SPHINXBUILD=sphinx-build-%{python3_version}

%install
make install \
    UNITDIR=%{_unitdir} \
    UDEVRULESDIR=%{_udevrulesdir} \
    DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3}

make -C Documentation install \
	MANDIR=%{_mandir} \
    DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3}

%post
%systemd_post qubes-ctapproxy.service

%preun
%systemd_preun qubes-ctapproxy.service

%postun
%systemd_postun_with_restart qubes-ctapproxy.service

%files
%doc
%{_mandir}/man8/qctap-*.8*
%{_mandir}/man1/qctap-*.1*

%{_bindir}/qctap-*
%{_sysconfdir}/qubes-rpc/ctap.ClientPin
%{_sysconfdir}/qubes-rpc/ctap.GetInfo
%{_sysconfdir}/qubes-rpc/u2f.Register
%{_sysconfdir}/qubes-rpc/u2f.Authenticate
%{_sysconfdir}/qubes/post-install.d/30-qubes-ctap.sh

%{_presetdir}/75-qubes-ctapproxy.preset
%{_unitdir}/qubes-ctapproxy@.service
%{_unitdir}/qubes-ctapproxy.service
%{_udevrulesdir}/60-qctap-hidraw.rules

%{python3_sitelib}/qubesctap-%{version}-*.egg-info

%{python3_sitelib}/qubesctap/__init__.py
%{python3_sitelib}/qubesctap/__pycache__/*
%{python3_sitelib}/qubesctap/const.py
%{python3_sitelib}/qubesctap/ctap1.py
%{python3_sitelib}/qubesctap/ctap2.py
%{python3_sitelib}/qubesctap/protocol.py
%{python3_sitelib}/qubesctap/util.py

%{python3_sitelib}/qubesctap/client/__init__.py
%{python3_sitelib}/qubesctap/client/__pycache__/*
%{python3_sitelib}/qubesctap/client/hid_data.py
%{python3_sitelib}/qubesctap/client/hidemu.py
%{python3_sitelib}/qubesctap/client/qctap_proxy.py
%{python3_sitelib}/qubesctap/client/uhid.py

%{python3_sitelib}/qubesctap/sys_usb/__init__.py
%{python3_sitelib}/qubesctap/sys_usb/__pycache__/*
%{python3_sitelib}/qubesctap/sys_usb/mux.py
%{python3_sitelib}/qubesctap/sys_usb/qctap_get_assertion.py
%{python3_sitelib}/qubesctap/sys_usb/qctap_client_pin.py
%{python3_sitelib}/qubesctap/sys_usb/qctap_get_info.py
%{python3_sitelib}/qubesctap/sys_usb/qctap_make_credential.py
%{python3_sitelib}/qubesctap/sys_usb/qctap_dump.py

%changelog
* Tue Sep 19 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-u2f.git

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - adcb3ee
- version 2.0.2

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e235b55
- Exclude package on Debian 10 and 11

* Mon Sep 11 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b5b8820
- version 2.0.1

* Thu Sep 07 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 90d509a
- Update for Fedora 39

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae487e9
- Re-generate Debian changelog

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 91a6925
- rpm: fix packaging man pages

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b02936b
- rpm: include generated changelog

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0a8a6c
- Adjust package metadata for clean migration

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a74ebd
- Do not install policy files on R4.2 anymore

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99890b3
- Update policy files to new keywords

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2177f26
- Fix documentation formatting

* Thu Jul 13 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2075ea3
- migration to fido2: better error message

* Thu Jul 13 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - b30819b
- migration to fido2: wait for the user to insert the key

* Wed Jul 12 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 62c7f5b
- migration to fido2: fix NotImplementedError when there is no device

* Tue Jul 11 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2eefd1e
- migration to fido2: fix compatibility for legacy devices

* Wed Jul 05 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - ac15487
- handle disabled ctap.ClientPin

* Tue May 30 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 4735a61
- migration to fido2: backward compatible service running

* Mon May 29 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 00603bc
- migration to fido2: backward compatible policies names

* Mon May 22 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 46ee032
- migration to fido2: just raise error for CTAP2 request for CTAP1 device

* Mon May 22 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 912ead0
- migration to fido2: change the message to more informative

* Sun May 21 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 2658a58
- migration to fido2: pylint + changelog update

* Sun May 21 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - da97bed
- migration to fido2: update architecture

* Sun May 21 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 0b5750a
- migration to fido2: trim allowlist

* Sat May 20 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 4c41fab
- migration to fido2: add docs

* Sat May 20 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 758bf75
- migration to fido2: renaming

* Tue May 09 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 363fbee
- migration to fido2: drops deprecated package 'distutils.version'

* Mon May 08 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - d1dd61f
- migration to fido2: mypy

* Mon May 08 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 847b3aa
- migration to fido2: fido2 in ci/requirements

* Mon May 08 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 0ef2268
- migration to fido2: simplyfy from_bytes

* Sun May 07 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - dae0c34
- migration to fido2: CI

* Sun May 07 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 703a6d2
- migration to fido2

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dccd4e0
- version 1.2.10

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdf79e6
- Disable on centos-stream8 with builderv2 too

* Sat Sep 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c147bbf
- Truncate /etc/qubes-rpc/policy/u2f.Authenticate

* Sat Sep 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - e1a029f
- Remove mentions of end-of-life software

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d198f40
- .qubesbuilder: replace 'spec' by 'build'

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 517c61b
- Disable build for centos-stream too

* Tue Apr 19 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8473b6e
- debian: ensure to clean pycache artifacts

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 48d7180
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0b7ef98
- Drop Travis CI

* Mon May 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6cd0c6d
- version 1.2.9

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 37069de
- spec: add BR make

* Mon Jan 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f591e85
- version 1.2.8

* Mon Jan 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 863139d
- version 1.2.7

* Mon Jan 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07c9c09
- version 1.2.6

* Tue Jan 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 54a4971
- Exclude CentOS build

* Thu Dec 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 312157f
- Fix build with python3 for CentOS

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7775914
- debian: update python deps

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 91d18f8
- debian: update control && compat

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 123ef6b
- Add .gitlab-ci.yml

